import VueRouter from 'vue-router'

const routes = [
  // 标签管理
  {
    path: '/',
    component: () => import('./App.vue'),
    meta: {
      title: '商城推品'
    }
  },
  {
    path: '/aaa',
    component: () => import('./App1.vue'),
    meta: {
      title: '商城推品2'
    }
  }
]

const router = new VueRouter({
  routes
})

router.afterEach((to, from) => {
  if (to.meta.title) {
    document.title = to.meta.title
  }
})

export default router
